# Start KYC for a consumer

Consumers need to complete due diligence (KYC) before they can create instruments and fund transaction.

This operation initiates the due diligence process for the logged-in consumer.  

Due Diligence is handled by a KYC provider, you will need to embed the KYC UI Component in your application to show the KYC screens to your users.

To initialise the KYC UI Component, you need a reference that is given to you in the response of this operation.

Endpoint: POST /consumers/kyc
Version: v3
Security: auth_token, api-key

## Request fields (application/json):

  - `prefillDetails` (array)
    List of KYC details to be prefilled for the consumer.

  - `prefillDetails.name` (string)

  - `prefillDetails.value` (string)

  - `kycLevel` (string)
    The KYC level that the consumer will be assigned to, which determines the due diligence details that the user will need to provide.
    Enum: "KYC_LEVEL_1", "KYC_LEVEL_2"

## Response 200 fields (application/json):

  - `reference` (string, required)
    The reference used to initialise the KYC UI Component.

  - `kycLevel` (string, required)
    The KYC level assigned to the consumer.
    Enum: "KYC_LEVEL_1", "KYC_LEVEL_2"

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 409 fields (application/json):

  - `errorCode` (string)
    Enum: "KYC_ALREADY_APPROVED", "KYC_PENDING_REVIEW", "KYC_REJECTED", "EMAIL_UNVERIFIED"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)


## Response 401 fields

## Response 403 fields

## Response 429 fields

## Response 500 fields

## Response 503 fields
